सामग्री पर जाएँ

Moondream3 Preview [Point]

इंटीग्रेट करें

मॉडल id moondream3-preview/point
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/point?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.001 1 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Moondream विज़न #vision

इमेज में नामित ऑब्जेक्ट का स्थान पता करता है और बॉक्स के बजाय बिंदु निर्देशांक लौटाता है

Moondream · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज के भीतर खोजा जाने वाला लक्षित ऑब्जेक्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

प्रोसेस की जाने वाली इमेज की ओर संकेत करने वाला URL।

उन्नत preview
POST /run/moondream3-preview/point?wait=20 कोटेशन → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/point?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Moondream3 Preview [Point] के बारे में

`image_url` में दी गई इमेज और ऑब्जेक्ट का नाम बताने वाले `prompt` के आधार पर, यह प्रत्येक मेल के स्थान को चिह्नित करने वाले बिंदुओं की सूची लौटाता है। आउटपुट में बिंदु बनाए गए चिह्नों वाली इमेज भी होती है। `preview` फ़्लैग प्रीव्यू आउटपुट को टॉगल करता है। जब आपको बाउंडिंग बॉक्स के बजाय स्थान चाहिए, तब इसका उपयोग करें।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
प्रोसेस की जाने वाली इमेज की ओर संकेत करने वाला URL।
promptआवश्यक
प्रकारstring
इमेज के भीतर खोजा जाने वाला लक्षित ऑब्जेक्ट।
previewवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
नियंत्रित करता है कि आउटपुट का पूर्वावलोकन दिखाया जाए या नहीं।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream3-preview/point",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "finish_reason": "stop",
    "usage_info": {
      "input_tokens": 1,
      "output_tokens": 1,
      "prefill_time_ms": 1.0,
      "decode_time_ms": 1.0,
      "ttft_ms": 1.0
    },
    "points": [
      {
        "x": 1.0,
        "y": 1.0
      }
    ],
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
finish_reason
stringआउटपुट निर्माण समाप्त होने का कारण।
usage_info
object {input_tokens, output_tokens, prefill_time_ms, decode_time_ms, ttft_ms}अनुरोध उपयोग का विवरण।
points
array of object {x, y}ऑब्जेक्ट की पहचान वाले स्थान दर्शाने वाले बिंदुओं की सूची।
image
object {url, content_type, file_name, file_size, width, height} | nullपाए गए ऑब्जेक्ट पर बिंदु मार्कर दिखाने वाली इमेज।

और मॉडल: विज़न

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/moondream3-preview/point.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt